## export_calay

Type: netlist.

### netlist export

Exports in the Calay netlist format with the following characteristics:

- missing footprint attribute is replaced by "unknown_fp" and an error message is generated
- illegal character in string: space (breaks output)
- illegal character in string: _ (substituted by -)

#### Attribute usage

For components the following attributes are used to construct file-format specified fields:

- component's display/footprint (fallback: footprint attribute)
- component's display/device (fallback: device attribute)
- if device is not available: component's display/value (fallback: value attribute)

No other/custom attributes are exported.

#### Omit and DNP

The plugin will not export components and networks that have the display/omit attribute set.

The plugin will export objects that have the display/dnp attribute set. To get the DNP information passed on, use the export naming mechanism of a target plugin in the view.